Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.exceptions
Class PageBusNativeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.tibco.bpm.web.client.model.pagebus.exceptions.PageBusNativeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BadParametersException, DisconnectedException, DuplicateException, NoCacheException, NoContainerException, NoSubscriptionException, NotAllowedException, WrongProtocolException

    public class PageBusNativeException

extends java.lang.RuntimeException

Base class for PageBus exception classes that contain JavaScriptException objects thrown by the native PageBus.

If the JavaScriptException description matches the jsErrorName value of one of the subclasses for which an error is expected then that type is thrown. Otherwise, the base type is thrown as an unknown native exception type.

Contains the JavaScriptException for: Unknown Native PageBus Error A JavaScriptException of unknown type was thrown.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `jsErrorName`

Constructor Summary
`PageBusNativeException(com.google.gwt.core.client.JavaScriptException javaScriptException)`

Method Summary
`static PageBusNativeException` | `createException(com.google.gwt.core.client.JavaScriptException javaScriptException)`
`com.google.gwt.core.client.JavaScriptException` | `getJavaScriptException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### jsErrorName

    public static final java.lang.String jsErrorName

See Also:
  Constant Field Values

Constructor Detail

### PageBusNativeException

    public PageBusNativeException(com.google.gwt.core.client.JavaScriptException javaScriptException)

Method Detail

### createException

    public static final PageBusNativeException createException(com.google.gwt.core.client.JavaScriptException javaScriptException)

### getJavaScriptException

    public com.google.gwt.core.client.JavaScriptException getJavaScriptException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.